Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589988 - Add a configurable (or random) way of setting a WWN on targets
Summary: Add a configurable (or random) way of setting a WWN on targets
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: scsi-target-utils
Version: 5.5
Hardware: All
OS: Linux
low
high
Target Milestone: rc
: ---
Assignee: Andy Grover
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-07 13:08 UTC by Dan Yasny
Modified: 2013-07-02 07:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-27 23:37:49 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dan Yasny 2010-05-07 13:08:28 UTC
Description of problem:
Currently the targets presented to the initiator as 1IET10001000. If I set up two hosts serving targets, and connect from the same initiator host, I get two identical WWNs, which creates confusion and renders the second host's tagets unusable for LVM setups. 

Version-Release number of selected component (if applicable):
scsi-target-utils-0.0-6.20091205snap.el5_5.2


How reproducible:
always

Steps to Reproduce:
1.install two rhel 5.5 hosts with scsi-target utils
2.create a target on both
3.connect to both from the same initiator host
  
Actual results:
multipath -ll shows:
1IET_00010001 dm-1 RHEV GSS,VIRTUAL-DISK
[size=100G][features=0][hwhandler=0][rw]
\_ round-robin 0 [prio=0][active]
 \_ 2:0:0:1 sdb 8:16  [active][ready]

Trying to use the second target with pvcreate returns Can't initialize physical volume "/dev/mpath/1IET_00010001" of volume group "5a6800e6-5985-4db7-add1-db4cf7bc037a" without -ff 

Expected results:
WWN line to be configurable, or concatenated with a unique string to avoid confusion

Additional info:

Comment 1 Mike Christie 2011-02-02 10:17:43 UTC
Sorry, I did not see this until today.

You can do this by setting the scsi_sn or scsi_id params.

Example in targets.conf

<target iqn.2008-09.com.example:server.target5>
 <backing-store /dev/sdb1>
    scsi_sn somevalue
    scsi_id someothervalue


Note You need to log in before you can comment on or make changes to this bug.